%define _requires_exceptions libc.so.6(GLIBC_2.7)

Name: 		celtx
Version: 	2.9
Release: 	%mkrel 1
Summary: 	Pre-Production software for film
Group:   	Office
License: 	GPL
URL:     	http://www.celtx.com/
Source:  	Celtx-%version.tar.xz
Source1:	celtx
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:       task-java
Obsoletes:	celtx < %version
Provides:	celtx

%description
Celtx has a full industry standard screenplay editor that includes all of the 
features writers need to keep their fingers moving, like intuitive formatting,
text auto-complete, pagination, script styles, CAPS selection, scene management,
spellchecker, embedded notes, find and replace, PDF generation and other export 
options.


%prep

%setup -q -n celtx

%install

export DONT_STRIP=1

rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/lib/celtx
cp -af * %{buildroot}/usr/lib/celtx

mkdir -p %{buildroot}/usr/bin
install -m 0755 %SOURCE1 %buildroot/usr/bin/celtx
chmod 0755 %buildroot/usr/bin/celtx


mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 icons/default16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 icons/default32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 icons/default48.png %buildroot/%{_liconsdir}/%{name}.png


#xdg menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/celtx.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Celtx Screenplay Editor
Comment=Screenplay Editor
Exec=/usr/bin/celtx
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Office;X-MandrivaLinux-Office-Wordprocessors;
EOF

%clean
rm -rf %{buildroot}



%post
%{update_desktop_database}


%postun
%{clean_desktop_database}



%files
%defattr(-,root,root,0755)
%_bindir/celtx
%{_libdir}/celtx*
%{_datadir}/applications/celtx.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Mar 27 2011 Texstar <texstar at gmail.com> 2.9-1pclos2011
- 2.9

* Wed Jun 17 2009 slick50 <slick50@gmail.com> 2.0.2-1pclos2009
- 2.0.2 

* Sat May 23 2009 Texstar <texstar@gmail.com> 2.0.1-1pclos2009
- update to 2.0.1 and fix rpm group

* Sat Aug 18 2007 Texstar <texstar@gmail.com> 0.991-1pclos2007
- import into pclos 2007 from 0.93

* Sun Jul 16 2006 Texstar <texstar@houston.rr.com> 0.971-1tex
- build for pclos

